﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Dieser Code wurde von einem Tool generiert.
//     Laufzeitversion:4.0.30319.42000
//
//     Änderungen an dieser Datei können falsches Verhalten verursachen und gehen verloren, wenn
//     der Code erneut generiert wird.
// </auto-generated>
//------------------------------------------------------------------------------

using OsarResources.XML;
using System.Xml.Serialization;

// 
// This source code was auto-generated by xsd, Version=4.6.1055.0.
// 


/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlRootAttribute(Namespace="", IsNullable=false)]
public partial class UartSubDataSet {
    
    private ushort dataStartIndexField;
    
    private ushort dataLengthField;
    
    private string dataNameField;
    
    private string dataDescriptionField;
    
    /// <remarks/>
    public ushort dataStartIndex {
        get {
            return this.dataStartIndexField;
        }
        set {
            this.dataStartIndexField = value;
        }
    }
    
    /// <remarks/>
    public ushort dataLength {
        get {
            return this.dataLengthField;
        }
        set {
            this.dataLengthField = value;
        }
    }
    
    /// <remarks/>
    public string dataName {
        get {
            return this.dataNameField;
        }
        set {
            this.dataNameField = value;
        }
    }
    
    /// <remarks/>
    public string dataDescription {
        get {
            return this.dataDescriptionField;
        }
        set {
            this.dataDescriptionField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlRootAttribute(Namespace="", IsNullable=false)]
public partial class Uart_PduCfg {
    
    private ushort pduIdField;
    
    private ushort dataLengthField;
    
    private string pduShortNameField;
    
    private string pduDescriptionField;
    
    private UartSubDataSet[] pduDataSetField;
    
    /// <remarks/>
    public ushort pduId {
        get {
            return this.pduIdField;
        }
        set {
            this.pduIdField = value;
        }
    }
    
    /// <remarks/>
    public ushort dataLength {
        get {
            return this.dataLengthField;
        }
        set {
            this.dataLengthField = value;
        }
    }
    
    /// <remarks/>
    public string pduShortName {
        get {
            return this.pduShortNameField;
        }
        set {
            this.pduShortNameField = value;
        }
    }
    
    /// <remarks/>
    public string pduDescription {
        get {
            return this.pduDescriptionField;
        }
        set {
            this.pduDescriptionField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable=false)]
    public UartSubDataSet[] pduDataSet {
        get {
            return this.pduDataSetField;
        }
        set {
            this.pduDataSetField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlRootAttribute(Namespace="", IsNullable=true)]
public partial class UartPduInputDatabase {
    
    private XmlFileVersion xmlFileVersionField;
    
    private Uart_PduCfg[] pduConfigListField;
    
    /// <remarks/>
    public XmlFileVersion xmlFileVersion {
        get {
            return this.xmlFileVersionField;
        }
        set {
            this.xmlFileVersionField = value;
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItemAttribute(IsNullable=false)]
    public Uart_PduCfg[] pduConfigList {
        get {
            return this.pduConfigListField;
        }
        set {
            this.pduConfigListField = value;
        }
    }
}
